package com.hdkj.lt.job.mapper;

import com.hdkj.lt.modle.po.DistDeviceJoinEcPO;
import com.hdkj.lt.modle.po.JoinEcTransformerPO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author wcx
 * @Date 2025/7/30 15:22
 * @Version 1.0
 */
@Mapper
public interface DealPsrDeviceMapper {

    List<String> getDistJoinEcBaseInfo();

    List<String> getConfigCityInfo(List<String> cityShorts);

    int saveDistJoinEcTransformer(List<JoinEcTransformerPO> saveList);

    int saveDistDeviceJoinEc(List<DistDeviceJoinEcPO> joinEcList);

    int savePsrDeviceDIBeforeBak();

    int updateFeederDIAfter();

    int updateFeederPsrDevice();

    int updateSpanSegmentDIAfter();

    int saveDistConductorSegment(List<Map<String, Object>> deviceList);

    int saveDistCableSegment(List<Map<String, Object>> deviceList);

    int updateSegmentPsrDevice();

}
